#!/bin/sh

#
#	SPAMC/D Filter module for Xamime ( v1.0.12.x or 2.0.0.0 )
#
# This module will use SpamAssassin and determine if the email/mailpack is a SPAM
#	it will then return the result ( 0 == no spam, > 0 == SPAM )
#
#set -x

mailpack=$1 

if [ -f /usr/local/bin/spamc ]; then
	sa=/usr/local/bin/spamc

elif [ -f /usr/bin/spamc ]; then 
	sa=/usr/bin/spamc

elif [ -f /usr/sbin/spamc ]; then
	sa=/usr/sbin/spamc

elif [ -f /usr/local/spamassassin/spamc ]; then
	sa=/usr/local/spamassassin/spamc

else
	logger "Xamime could not locate spamc - turn off 'scanforspam' in xamime"
	exit 0
fi

sa_params=" "


	#
	# Run the SPAM Assassin program
	#
$sa $sa_params < $1 > $1.tmp

	# if the tmp mailpack exists, then
	#	push the original out of the way 
	#	and use the new one

if [ -f $1.tmp ]; then

	mv $1 $1.original
	mv $1.tmp $1

fi


# 
# See if the spam engine left a high score for us to deny the
#	spam.  Adjust the '10' in {10,} to suit your preferences
#
grep -E '^X-Spam-Level:.*\*{10,}' $1 1>/dev/null 2>/dev/null
grepresult=$?
if [ $grepresult -eq 0 ]
then
	# Spam has been located with a greater-than-or-equal-to 10 *'s level.

	return_code=1
else
	return_code=0
fi


exit $return_code
