#
# xamime-testvirus.sh $v.1.0.3
#
#
# the variable 'detectedvirus' is actually contained in the PARENT
#	script, which is 'xamimeLT'. Just letting you know.
#
#
# CHANGES:
# 20050125-0812: Added detectedvirus initialization
# 20050125-0810: Added reportvars variable testing before use
#

detectedvirus=0

# ----- AVscanner 1 -----

# F-PROT ANTIVIRUS ---
# F-PROT ANTIVIRUS ---
# F-PROT ANTIVIRUS ---
# 
#  0 - all clear
#  1 - fsav failed for some reason, perhaps a broken .def file
#  3 - virus was found.
#

if [ "a${fprot}" != "a" ]
then
	${fprot} ${fprotflags} ${unpackdir} >> ${avlog} 2>&1
	avresult=$?
	if [ $avresult -eq 3 -o $avresult -eq 8 ]
	then
		detectedvirus=1
	fi
fi

# ----- AVscanner 2 -----

# F-Secure Anti-Virus ---
# F-Secure Anti-Virus ---
# F-Secure Anti-Virus ---
#
#  0 - all clear
#  1 - fsav failed for some reason, perhaps a broken .def file
#  3 - virus was found.
#
#

if [ "a${fsav}" != "a" ]
then
	${fsav} ${fsavflags} ${unpackdir} >> ${avlog} 2>&1
	avresult=$?
	if [ $avresult -eq 3 -o $avresult -eq 8 ]
	then
		detectedvirus=1
	fi
fi

# ----- AVscanner 3 -----	

#
# SOPHOS
# SOPHOS
# SOPHOS
#

if [ "a${sophos}" != "a" ]
then
	${sophos} ${sophosflags} ${unpackdir} >> ${avlog} 2>&1
	avresult=$?
	if [ $avresult -eq 3 ]
	then
		detectedvirus=1
	fi
fi

# ----- AVscanner 4 -----

#
# McAfee / NAI - UVScan
# McAfee / NAI - UVScan
# McAfee / NAI - UVScan
#

if [ "a${mcafee}" != "a" ]
then
	${mcafee} ${mcafeeflags} ${unpackdir} >> ${avlog} 2>&1
	avresult=$?
	if [ $avresult -eq 13 ]
	then
		detectedvirus=1
	fi
fi

# ----- AVscanner 5 -----

#
# Kaspersky AVP
# Kaspersky AVP
# Kaspersky AVP
#

if [ "a${kaspersky}" != "a" ]
then
	${kaspersky} ${kasperskyflags} ${unpackdir} >> ${avlog} 2>&1
	avresult=$?
	if [ $avresult -gt 2 -a $avresult -lt 7 ]
	then
		detectedvirus=1
	fi
fi

# ----- AVscanner 6 -----

# Use NOD32 AntiVirus
# Use NOD32 AntiVirus
# Use NOD32 AntiVirus
#
# -s+  Scan subdirs
# -heursafe  Use safe heuristic detection level
#
# Return Codes:
#	0  - Everything is OK, no viruses have been found
#  	1  - NOD32 has found at least one virus
#  	2  - NOD32 has cleaned all viruses
#	10 - Internal error
#
#

if [ "a${nod32}" != "a" ]
then
	${nod32} ${nod32flags} ${unpackdir} >> ${avlog} 2>&1
	avresult=$?
	if [ $avresult -eq 1 -o $avresult -eq 2 ]
	then
		detectedvirus=1
	fi
fi

# ----- AVscanner 7 -----

#
# Inoculateit
# Inoculateit
# Inoculateit
# Contributed by "Julio E. Gonzalez P."
# 19/05/2001 - Alteration of -eq 100 test line by PLD
#
if [ "a${inoculateit}" != "a" ]
then
	${inoculateit} ${inoculateitflags} ${unpackdir} >> ${avlog} 2>&1
	avresult=$?
	if [ $avresult -eq 100 ]
	then
		detectedvirus=1
	fi
fi

# ----- AVscanner 8 -----

# 
# BitDefender - http://www.bitdefender.com
# BitDefender - http://www.bitdefender.com
# BitDefender - http://www.bitdefender.com
#

if [ "a${bitdefender}" != "a" ]; then
	${bitdefender} ${bitdefenderflags} ${unpackdir} >> ${avlog} 2>&1
	avresult=$?
	if [ $avresult -eq 1 ]; then
		detectedvirus=1
	fi
fi

# ----- AVscanner 9 -----

#
# Clam AntiVirus - http://www.clamav.net
# Clam AntiVirus - http://www.clamav.net
# Clam AntiVirus - http://www.clamav.net
#
if [ "a${clamav}" != "a" ]
then
	${clamav} ${clamavflags} ${unpackdir} >> ${avlog} 2>&1
	avresult=$?
	if [ $avresult -eq 1 ]
	then
		detectedvirus=1
	fi
fi

# ----- AVscanner 10 -----

# H&BEDV AntiVir http://www.antivir.de
# H&BEDV AntiVir http://www.antivir.de
# H&BEDV AntiVir http://www.antivir.de
#
#
#   0: Normal program termination, nothing found, no error
#   1: Found concerning file or boot sector
#   2: A signature was found in memory
#   3: Suspicious file found
# 100: AntiVir only has displayed this help text
# 101: A macro was found in a document file
# 102: The option -once was given and AntiVir already ran today
# 200: Program aborted, not enough memory available
# 201: The given response file could not be found
# 202: Within a response file another @<rsp> directive was found
# 203: Invalid option
# 204: Invalid (non-existent) directory given at command line
# 205: The log file could not be created
# 210: AntiVir could not find a necessary dll file
# 211: Programm aborted, because the self check failed
# 212: The file antivir.vdf could not be read
# 213: An error occured during initialization
# 214: License key not found
#
if [ "a${hbedv}" != "a" ]
then
	${hbedv} ${hbedvflags} ${unpackdir} >> ${avlog} 2>&1
	avresult=$?
	if [ $avresult -eq 1 ]
	then
		detectedvirus=1
	fi
fi

# Store the AV log as a var.
if [ $detectedvirus -ne 0 ]; then
	BV=`cat $avlog | $uriencode`
else
	BV=" "
fi

if [ "x$reportvars" != "x" ]; then
	echo "AVLOG=$BV" >> $reportvars
fi

#---------- END of Test-Virus Script ----------



